# pqxx::broken_connection Class Reference
[Exception classes]

Exception class for lost or failed backend connection. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::broken_connection:

[legend]
List of all members.

## Public Member Functions

| broken_connection ()
| broken_connection (const PGSTD::string &)

## Detailed Description

Exception class for lost or failed backend connection.

Warning:
  When this happens on Unix-like systems, you may also get a SIGPIPE signal. That signal aborts the program by default, so if you wish to be able to continue after a connection breaks, be sure to disarm this signal.

If you're working on a Unix-like system, see the manual page for `signal` (2) on how to deal with SIGPIPE. The easiest way to make this signal harmless is to make your program ignore it:

     #include <signal.h>

     int main()
     {
       signal(SIGPIPE, SIG_IGN);
       // ...

## Constructor & Destructor Documentation

pqxx::broken_connection::broken_connection | ( |  | ) |

pqxx::broken_connection::broken_connection | ( | const PGSTD::string & |  | ) | `[explicit]`

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx